# PaymentIntentResponse

## Properties

| Name            | Type                | Description | Notes       |
| --------------- | ------------------- | ----------- | ----------- |
| **metadata**    | **Dict\[str, str]** |             | \[optional] |
| **uri**         | **str**             |             | \[optional] |
| **qr\_code**    | **str**             |             | \[optional] |
| **status**      | **str**             |             | \[optional] |
| **destination** | **str**             |             | \[optional] |
| **amount**      | **float**           |             | \[optional] |
| **network**     | **str**             |             | \[optional] |
| **currency**    | **str**             |             | \[optional] |
| **id**          | **str**             |             | \[optional] |
| **message**     | **str**             |             | \[optional] |
| **success**     | **bool**            |             |             |

## Example

```python
from moonsdk.models.payment_intent_response import PaymentIntentResponse

# TODO update the JSON string below
json = "{}"
# create an instance of PaymentIntentResponse from a JSON string
payment_intent_response_instance = PaymentIntentResponse.from_json(json)
# print the JSON string representation of the object
print PaymentIntentResponse.to_json()

# convert the object into a dict
payment_intent_response_dict = payment_intent_response_instance.to_dict()
# create an instance of PaymentIntentResponse from a dict
payment_intent_response_form_dict = payment_intent_response.from_dict(payment_intent_response_dict)
```

[\[Back to Model list\]](/sdks/python.md#documentation-for-models) [\[Back to API list\]](/sdks/python.md#documentation-for-api-endpoints) [\[Back to README\]](/sdks/python.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/paymentintentresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
